EDIT - feature request #8883

additional media list services as iiif manifest service
03/09/2020 01:45 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

for details see #8867
Services TODO

e /portal/taxon/{uuid}/media -> /iiif/taxon/{uuid}/manifest.json - DONE in #8867

e /portal/taxon/{uuid}/subtree/media -> /iiif/taxon/{uuid}/subtree/manifest.json - DONE in #8867

¢ /media/{uuid}/metadata -> /iiif/media/{uuid}/manifest.json : used in the dataportal for reading metadata: function
read_media_metadata($media)

e /media/findByTitle -> /iiif/media/findByTitle/manifest.json : not used in the dataportal
¢ /media/findByldentifier -> /iiif/media/findByldentifier/manifest.json : not used in the dataportal
¢ /media/findByMarker -> /iiif/media/findByMarker/manifest.json : not used in the dataportal

¢ /derivedUnitFacade/{uuid}/derivedUnitMedia -> /iiif/derivedUnitFacade/{uuid}/derivedUnitMedia/manifest.json : used in
dataportal in

o the dead function render_cdm_specimen_page($specimen)

o compose_cdm_specimen_or_observation(), to create a media gallery with compose_cdm_media_gallerie()

o compose_cdm_taxon_page_specimens() to show images in compose_compressed_specimen_derivate_table() or in
compose_specimen_table_top_down() or in compose_specimens_table_bottom_up()

¢ /derivedUnitFacade/{uuid}/fieldObjectMedia -> /iiif/derivedUnitFacade/{uuid}/fieldObjectMedia/manifest.json : used in dataportal
in

o the dead function render_cdm_specimen_page($specimen)

o compose_cdm_specimen_or_observation(), to create a media gallery with compose_cdm_media_gallerie()

o compose_cdm_taxon_page_specimens() to show images in compose_compressed_specimen_derivate_table() or in
compose_specimen_table_top_down() or in compose_specimens_table_bottom_up()

¢ /portal/derivedUnitFacade/{uuid}/fieldObjectMediaDTO -> /iiif/derivedUnitFacade/{uuid}/fieldObjectMedia/manifest.json ???
: used in dataportal compose_cdm_specimen_or_observation(), compose_cdm_taxon_page_specimens(),
compose_specimens_table_bottom_up() to create a media gallery with compose_cdm_media_gallerie()

¢ /portal/derivedUnitFacade/{uuid}/fieldObjectMedia -> /iiif/derivedUnitFacade/{uuid}/fieldObjectMedia/manifest.json : not used in
the dataportal

Related issues:
Copied from EDIT - feature request #8867: media list services as iiif manifes... Closed
https://dev.e-taxonomy.eu/redmine/issues/8867
https://dev.e-taxonomy.eu/redmine/issues/8867
https://dev.e-taxonomy.eu/redmine/issues/8867

- Copied from feature request #8867: media list services as iiif manifest service added

#2 - 03/09/2020 01:49 PM - Andreas Miiller

- Subject changed from additinal media list services as iiif manifest service to additional media list services as iiif manifest service

#3 - 03/09/2020 01:53 PM - Andreas Kohlbecker
- Description updated

#4 - 04/08/2020 05:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#5 - 05/05/2020 01:15 PM - Andreas Kohlbecker
- Description updated

#6 - 05/05/2020 01:16 PM - Andreas Kohlbecker

- Description updated

#7 - 05/05/2020 01:24 PM - Andreas Kohlbecker

- Description updated

#8 - 05/05/2020 01:41 PM - Andreas Kohlbecker

- Description updated

#9 - 05/05/2020 01:53 PM - Andreas Kohlbecker

- Description updated

#10 - 05/05/2020 03:34 PM - Andreas Kohlbecker

- Priority changed from Highest to Priority13

- Target version changed from Release 5.15 to Release 5.18
moving to next milestone and lowering priority.

The fsi image viewer is only used in the taxon page so there switch to https is no longer blocked now that it can be replaces by the universalviewer in
this context.

Lets discuss how important the implementation theses services is for a consistent presentation of media in the data portal.

#11 - 01/13/2021 04:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#12 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#13 - 03/10/2021 02:54 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#14 - 04/19/2021 04:33 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

04/25/2024 22


http://www.tcpdf.org

